Fixed AssetsDelete an asset's attachment

Delete an asset's attachment

DELETE/partners/fixed-assets/{uuid}/attachments/{attachmentUuid}

Deletes a file from an asset. The stored file is removed.

HMAC signature + Bearer access token
Try this request

Path parameters

uuiduuidrequired

The fixed asset UUID (`id` from List fixed assets).

attachmentUuiduuidrequired

Attachment UUID (`id` from List an asset's attachments).

Responses

200Deleted.
404The asset or the attachment is not in this workspace.
401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot
403The credential does not have access to this workspace or resource. Troubleshoot
429Rate limit exceeded (100 requests per minute per user of each app, or 10,000 per minute per app). Retry after the Retry-After header. Troubleshoot
DELETEhttps://api.getcount.com/partners/fixed-assets/{uuid}/attachments/{attachmentUuid}
Request
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'DELETE';
const signingPath = '/fixed-assets/3fa85f64-5717-4562-b3fc-2c963f66afa6/attachments/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/fixed-assets/3fa85f64-5717-4562-b3fc-2c963f66afa6/attachments/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
Response · 200
{
  "status": "success",
  "message": "Success on deleting fixed asset attachment",
  "data": {
    "deleted": true
  }
}